%global momorel 1
%global md5sum_src0 764f170af318c3ffd63b9cdfdcd19248
Name:           orca
Summary:        screen reader for people with visual impairments
Version:        2.18.1
Release: %{momorel}m%{?dist}
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.gnome.org/projects/orca/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.18/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildPrereq:    glib2-devel >= 2.12.9
BuildPrereq:    ORBit2-devel >= 2.14.7
BuildPrereq:    at-spi-devel >= 1.18.0
BuildPrereq:    libbonobo-devel >= 2.18.0
BuildPrereq:    python >= 2.5
BuildPrereq:    pyorbit >= 2.14.2
BuildPrereq:    pygtk2 >= 2.10.4
BuildPrereq:    gnome-python2 >= 2.18.0
BuildPrereq:    gnome-speech-devel >= 0.4.10
BuildPrereq:    gnome-mag-devel >= 0.14.3

%description
Orca a scriptable screen reader for people with visual impairments.
To read more about Orca, please refer to the Orca documentation series
available in the ./docs/doc-set directory and also the Orca WIKI at
http://live.gnome.org/Orca.

%prep
%setup -q

%build
%configure --enable-pydoc \
%make

%check
make check

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
find %{buildroot} -name "*.la" -delete
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

install -d %{buildroot}/%{_datadir}/pixmaps
install %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/orca.png \
    %{buildroot}/%{_datadir}/pixmaps

desktop-file-install --vendor="" --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    --add-only-show-in GNOME \
    --remove-category Application \
    %{buildroot}%{_datadir}/applications/*.desktop
find %{buildroot} -name "*.pyc" -delete
find %{buildroot} -name "*.pyo" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/python2.5/site-packages/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Wed Mar 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-3m)
- rebuild against python-2.5

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Fri Aug 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8-2m)
- add %%post
- add URL:
- add pixmap

* Fri Aug 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.8-1m)
- initial build 0.2.8
